org.apache.xalan.xsltc

## Class TransletException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.apache.xalan.xsltc.TransletException

All Implemented Interfaces:
  java.io.Serializable

    public final class TransletException
    extends SAXException

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen, Morten Jorgensen
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransletException()`
`TransletException(java.lang.Exception e)`
`TransletException(java.lang.String message)`

### Method Summary

### Methods inherited from class org.xml.sax.SAXException

`getException, getMessage, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransletException

    public TransletException()

#### TransletException

    public TransletException(java.lang.Exception e)

#### TransletException

    public TransletException(java.lang.String message)